#!/bin/sh

set -eux

DESTDIR="debian/${DEB_SOURCE}"
bindir=/usr/bin
datadir=/usr/share
pkgdatadir="${datadir}/${DEB_SOURCE}"

local_depends=

ID=
VERSION_ID=
if [ -f /usr/lib/os-release ]; then
    . /usr/lib/os-release
else
    . /etc/os-release
fi

case "${ID}:${VERSION_ID}" in
    (steamrt:1)
        use_vendored_modules=yes
        PYTHON="$(command -v python3.5)"
        local_depends=python3.5
        ;;

    (*)
        use_vendored_modules=
        PYTHON="$(command -v python3)"
        local_depends="python3 (>= 3.4)"
        ;;
esac

install -d "${DESTDIR}${pkgdatadir}"
cp -a deb-build-snapshot deb-git-version-gen "${DESTDIR}${pkgdatadir}/"

sed -i -e "1s,#!.*,#!${PYTHON}," "${DESTDIR}${pkgdatadir}/deb-build-snapshot"
sed -i -e "1s,#!.*,#!${PYTHON}," "${DESTDIR}${pkgdatadir}/deb-git-version-gen"

if [ -n "$use_vendored_modules" ]; then
    cp -a third-party "${DESTDIR}${pkgdatadir}/"
    rm -fr "${DESTDIR}${pkgdatadir}/third-party/chardet"
    (
        cd "${DESTDIR}${pkgdatadir}"
        ln -fns third-party/python-debian/lib/* .
        ln -fns third-party/six/six.py .
    )
    local_depends="$local_depends, python3-chardet"
else
    local_depends="$local_depends, python3-debian, python3-six"
fi

install -d "${DESTDIR}${bindir}"
ln -s "${pkgdatadir}/deb-build-snapshot" "${DESTDIR}${bindir}/"
ln -s "${pkgdatadir}/deb-git-version-gen" "${DESTDIR}${bindir}/"

echo "local:Depends=$local_depends" >> "debian/${DEB_SOURCE}.substvars"
